## etcd 3.2.26+dfsg

=== Makefile ===
# run from repository root



# Example:
#   make build
#   make clean
#   make docker-clean
#   make docker-start
#   make docker-kill
#   make docker-remove

.PHONY: build
build:
	GO_BUILD_FLAGS="-v" ./build
	./bin/etcd --version
	ETCDCTL_API=3 ./bin/etcdctl version

clean:
	rm -f ./codecov
	rm -rf ./agent-*
	rm -rf ./covdir
	rm -f ./*.coverprofile
	rm -f ./*.log
	rm -f ./bin/Dockerfile-release
	rm -rf ./bin/*.etcd
	rm -rf ./default.etcd
	rm -rf ./tests/e2e/default.etcd
	rm -rf ./gopath
	rm -rf ./gopath.proto
	rm -rf ./release
	rm -f ./snapshot/localhost:*
	rm -f ./integration/127.0.0.1:* ./integration/localhost:*
	rm -f ./clientv3/integration/127.0.0.1:* ./clientv3/integration/localhost:*
	rm -f ./clientv3/ordering/127.0.0.1:* ./clientv3/ordering/localhost:*

docker-clean:
	docker images
	docker image prune --force

docker-start:
	service docker restart

docker-kill:
	docker kill `docker ps -q` || true

docker-remove:
	docker rm --force `docker ps -a -q` || true
	docker rmi --force `docker images -q` || true



# GO_VERSION ?= 1.10.3
GO_VERSION ?= 1.8.7
ETCD_VERSION ?= $(shell git rev-parse --short HEAD || echo "GitNotFound")

TEST_SUFFIX = $(shell date +%s | base64 | head -c 15)
TEST_OPTS ?= PASSES='unit'

TMP_DIR_MOUNT_FLAG = --mount type=tmpfs,destination=/tmp
ifdef HOST_TMP_DIR
	TMP_DIR_MOUNT_FLAG = --mount type=bind,source=$(HOST_TMP_DIR),destination=/tmp
endif



# Example:
#   GO_VERSION=1.8.7 make build-docker-test
#   GO_VERSION=1.9.7 make build-docker-test
#   make build-docker-test
#
#   gcloud docker -- login -u _json_key -p "$(cat /etc/gcp-key-etcd-development.json)" https://gcr.io
#   GO_VERSION=1.8.7 make push-docker-test
#   GO_VERSION=1.9.7 make push-docker-test
#   make push-docker-test
#
#   gsutil -m acl ch -u allUsers:R -r gs://artifacts.etcd-development.appspot.com
#   GO_VERSION=1.9.7 make pull-docker-test
#   make pull-docker-test

build-docker-test:
	$(info GO_VERSION: $(GO_VERSION))
	@sed -i.bak 's|REPLACE_ME_GO_VERSION|$(GO_VERSION)|g' ./tests/Dockerfile
	docker build \
	  --tag gcr.io/etcd-development/etcd-test:go$(GO_VERSION) \
	  --file ./tests/Dockerfile .
	@mv ./tests/Dockerfile.bak ./tests/Dockerfile

push-docker-test:
	$(info GO_VERSION: $(GO_VERSION))
	gcloud docker -- push gcr.io/etcd-development/etcd-test:go$(GO_VERSION)

pull-docker-test:
	$(info GO_VERSION: $(GO_VERSION))
	docker pull gcr.io/etcd-development/etcd-test:go$(GO_VERSION)



# Example:
#   make build-docker-test
#   make compile-with-docker-test
#   make compile-setup-gopath-with-docker-test

compile-with-docker-test:
	$(info GO_VERSION: $(GO_VERSION))
	docker run \
	  --rm \
	  --mount type=bind,source=`pwd`,destination=/go/src/github.com/coreos/etcd \
	  gcr.io/etcd-development/etcd-test:go$(GO_VERSION) \
	  /bin/bash -c "GO_BUILD_FLAGS=-v ./build && ./bin/etcd --version"

compile-setup-gopath-with-docker-test:
	$(info GO_VERSION: $(GO_VERSION))
	docker run \
	  --rm \
	  --mount type=bind,source=`pwd`,destination=/etcd \
	  gcr.io/etcd-development/etcd-test:go$(GO_VERSION) \
	  /bin/bash -c "cd /etcd && ETCD_SETUP_GOPATH=1 GO_BUILD_FLAGS=-v ./build && ./bin/etcd --version && rm -rf ./gopath"



# Example:
#
# Local machine:
#   TEST_OPTS="PASSES='fmt'" make test
#   TEST_OPTS="PASSES='fmt bom dep build unit'" make test
#   TEST_OPTS="PASSES='build unit release integration_e2e functional'" make test
#   TEST_OPTS="PASSES='build grpcproxy'" make test
#
# Example (test with docker):
#   make pull-docker-test
#   TEST_OPTS="PASSES='fmt'" make docker-test
#   TEST_OPTS="VERBOSE=2 PASSES='unit'" make docker-test
#
# Travis CI (test with docker):
#   TEST_OPTS="PASSES='fmt bom dep build unit'" make docker-test
#
# Semaphore CI (test with docker):
#   TEST_OPTS="PASSES='build unit release integration_e2e functional'" make docker-test
#   HOST_TMP_DIR=/tmp TEST_OPTS="PASSES='build unit release integration_e2e functional'" make docker-test
#   TEST_OPTS="GOARCH=386 PASSES='build unit integration_e2e'" make docker-test
#
# grpc-proxy tests (test with docker):
#   TEST_OPTS="PASSES='build grpcproxy'" make docker-test
#   HOST_TMP_DIR=/tmp TEST_OPTS="PASSES='build grpcproxy'" make docker-test

.PHONY: test
test:
	$(info TEST_OPTS: $(TEST_OPTS))
	$(info log-file: test-$(TEST_SUFFIX).log)
	$(TEST_OPTS) ./test 2>&1 | tee test-$(TEST_SUFFIX).log
	! egrep "(--- FAIL:|panic: test timed out|appears to have leaked)" -B50 -A10 test-$(TEST_SUFFIX).log

docker-test:
	$(info GO_VERSION: $(GO_VERSION))
	$(info ETCD_VERSION: $(ETCD_VERSION))
	$(info TEST_OPTS: $(TEST_OPTS))
	$(info log-file: test-$(TEST_SUFFIX).log)
	$(info HOST_TMP_DIR: $(HOST_TMP_DIR))
	$(info TMP_DIR_MOUNT_FLAG: $(TMP_DIR_MOUNT_FLAG))
	docker run \
	  --rm \
	  $(TMP_DIR_MOUNT_FLAG) \
	  --mount type=bind,source=`pwd`,destination=/go/src/github.com/coreos/etcd \
	  gcr.io/etcd-development/etcd-test:go$(GO_VERSION) \
	  /bin/bash -c "$(TEST_OPTS) ./test 2>&1 | tee test-$(TEST_SUFFIX).log"
	! egrep "(--- FAIL:|panic: test timed out|appears to have leaked)" -B50 -A10 test-$(TEST_SUFFIX).log

docker-test-coverage:
	$(info GO_VERSION: $(GO_VERSION))
	$(info ETCD_VERSION: $(ETCD_VERSION))
	$(info log-file: docker-test-coverage-$(TEST_SUFFIX).log)
	$(info HOST_TMP_DIR: $(HOST_TMP_DIR))
	$(info TMP_DIR_MOUNT_FLAG: $(TMP_DIR_MOUNT_FLAG))
	docker run \
	  --rm \
	  $(TMP_DIR_MOUNT_FLAG) \
	  --mount type=bind,source=`pwd`,destination=/go/src/github.com/coreos/etcd \
	  gcr.io/etcd-development/etcd-test:go$(GO_VERSION) \
	  /bin/bash -c "COVERDIR=covdir PASSES='build build_cov cov' ./test 2>&1 | tee docker-test-coverage-$(TEST_SUFFIX).log && /codecov -t 6040de41-c073-4d6f-bbf8-d89256ef31e1"
	! egrep "(--- FAIL:|panic: test timed out|appears to have leaked)" -B50 -A10 docker-test-coverage-$(TEST_SUFFIX).log



# Example:
#   make compile-with-docker-test
#   ETCD_VERSION=v3-test make build-docker-release-master
#   ETCD_VERSION=v3-test make push-docker-release-master
#   gsutil -m acl ch -u allUsers:R -r gs://artifacts.etcd-development.appspot.com

build-docker-release-master:
	$(info ETCD_VERSION: $(ETCD_VERSION))
	cp ./Dockerfile-release ./bin/Dockerfile-release
	docker build \
	  --tag gcr.io/etcd-development/etcd:$(ETCD_VERSION) \
	  --file ./bin/Dockerfile-release \
	  ./bin
	rm -f ./bin/Dockerfile-release

	docker run \
	  --rm \
	  gcr.io/etcd-development/etcd:$(ETCD_VERSION) \
	  /bin/sh -c "/usr/local/bin/etcd --version && ETCDCTL_API=3 /usr/local/bin/etcdctl version"

push-docker-release-master:
	$(info ETCD_VERSION: $(ETCD_VERSION))
	gcloud docker -- push gcr.io/etcd-development/etcd:$(ETCD_VERSION)



# Example:
#   make build-docker-test
#   make compile-with-docker-test
#   make build-docker-static-ip-test
#
#   gcloud docker -- login -u _json_key -p "$(cat /etc/gcp-key-etcd-development.json)" https://gcr.io
#   make push-docker-static-ip-test
#
#   gsutil -m acl ch -u allUsers:R -r gs://artifacts.etcd-development.appspot.com
#   make pull-docker-static-ip-test
#
#   make docker-static-ip-test-certs-run
#   make docker-static-ip-test-certs-metrics-proxy-run

build-docker-static-ip-test:
	$(info GO_VERSION: $(GO_VERSION))
	@sed -i.bak 's|REPLACE_ME_GO_VERSION|$(GO_VERSION)|g' ./tests/docker-static-ip/Dockerfile
	docker build \
	  --tag gcr.io/etcd-development/etcd-static-ip-test:go$(GO_VERSION) \
	  --file ./tests/docker-static-ip/Dockerfile \
	  ./tests/docker-static-ip
	@mv ./tests/docker-static-ip/Dockerfile.bak ./tests/docker-static-ip/Dockerfile

push-docker-static-ip-test:
	$(info GO_VERSION: $(GO_VERSION))
	gcloud docker -- push gcr.io/etcd-development/etcd-static-ip-test:go$(GO_VERSION)

pull-docker-static-ip-test:
	$(info GO_VERSION: $(GO_VERSION))
	docker pull gcr.io/etcd-development/etcd-static-ip-test:go$(GO_VERSION)

docker-static-ip-test-certs-run:
	$(info GO_VERSION: $(GO_VERSION))
	$(info HOST_TMP_DIR: $(HOST_TMP_DIR))
	$(info TMP_DIR_MOUNT_FLAG: $(TMP_DIR_MOUNT_FLAG))
	docker run \
	  --rm \
	  --tty \
	  $(TMP_DIR_MOUNT_FLAG) \
	  --mount type=bind,source=`pwd`/bin,destination=/etcd \
	  --mount type=bind,source=`pwd`/tests/docker-static-ip/certs,destination=/certs \
	  gcr.io/etcd-development/etcd-static-ip-test:go$(GO_VERSION) \
	  /bin/bash -c "cd /etcd && /certs/run.sh && rm -rf m*.etcd"

docker-static-ip-test-certs-metrics-proxy-run:
	$(info GO_VERSION: $(GO_VERSION))
	$(info HOST_TMP_DIR: $(HOST_TMP_DIR))
	$(info TMP_DIR_MOUNT_FLAG: $(TMP_DIR_MOUNT_FLAG))
	docker run \
	  --rm \
	  --tty \
	  $(TMP_DIR_MOUNT_FLAG) \
	  --mount type=bind,source=`pwd`/bin,destination=/etcd \
	  --mount type=bind,source=`pwd`/tests/docker-static-ip/certs-metrics-proxy,destination=/certs-metrics-proxy \
	  gcr.io/etcd-development/etcd-static-ip-test:go$(GO_VERSION) \
	  /bin/bash -c "cd /etcd && /certs-metrics-proxy/run.sh && rm -rf m*.etcd"



# Example:
#   make build-docker-test
#   make compile-with-docker-test
#   make build-docker-dns-test
#
#   gcloud docker -- login -u _json_key -p "$(cat /etc/gcp-key-etcd-development.json)" https://gcr.io
#   make push-docker-dns-test
#
#   gsutil -m acl ch -u allUsers:R -r gs://artifacts.etcd-development.appspot.com
#   make pull-docker-dns-test
#
#   make docker-dns-test-insecure-run
#   make docker-dns-test-certs-run
#   make docker-dns-test-certs-gateway-run
#   make docker-dns-test-certs-wildcard-run
#   make docker-dns-test-certs-common-name-auth-run
#   make docker-dns-test-certs-common-name-multi-run

build-docker-dns-test:
	$(info GO_VERSION: $(GO_VERSION))
	@sed -i.bak 's|REPLACE_ME_GO_VERSION|$(GO_VERSION)|g' ./tests/docker-dns/Dockerfile
	docker build \
	  --tag gcr.io/etcd-development/etcd-dns-test:go$(GO_VERSION) \
	  --file ./tests/docker-dns/Dockerfile \
	  ./tests/docker-dns
	@mv ./tests/docker-dns/Dockerfile.bak ./tests/docker-dns/Dockerfile

	docker run \
	  --rm \
	  --dns 127.0.0.1 \
	  gcr.io/etcd-development/etcd-dns-test:go$(GO_VERSION) \
	  /bin/bash -c "/etc/init.d/bind9 start && cat /dev/null >/etc/hosts && dig etcd.local"

push-docker-dns-test:
	$(info GO_VERSION: $(GO_VERSION))
	gcloud docker -- push gcr.io/etcd-development/etcd-dns-test:go$(GO_VERSION)

pull-docker-dns-test:
	$(info GO_VERSION: $(GO_VERSION))
	docker pull gcr.io/etcd-development/etcd-dns-test:go$(GO_VERSION)

docker-dns-test-insecure-run:
	$(info GO_VERSION: $(GO_VERSION))
	$(info HOST_TMP_DIR: $(HOST_TMP_DIR))
	$(info TMP_DIR_MOUNT_FLAG: $(TMP_DIR_MOUNT_FLAG))
	docker run \
	  --rm \
	  --tty \
	  --dns 127.0.0.1 \
	  $(TMP_DIR_MOUNT_FLAG) \
	  --mount type=bind,source=`pwd`/bin,destination=/etcd \
	  --mount type=bind,source=`pwd`/tests/docker-dns/insecure,destination=/insecure \
	  gcr.io/etcd-development/etcd-dns-test:go$(GO_VERSION) \
	  /bin/bash -c "cd /etcd && /insecure/run.sh && rm -rf m*.etcd"

docker-dns-test-certs-run:
	$(info GO_VERSION: $(GO_VERSION))
	$(info HOST_TMP_DIR: $(HOST_TMP_DIR))
	$(info TMP_DIR_MOUNT_FLAG: $(TMP_DIR_MOUNT_FLAG))
	docker run \
	  --rm \
	  --tty \
	  --dns 127.0.0.1 \
	  $(TMP_DIR_MOUNT_FLAG) \
	  --mount type=bind,source=`pwd`/bin,destination=/etcd \
	  --mount type=bind,source=`pwd`/tests/docker-dns/certs,destination=/certs \
	  gcr.io/etcd-development/etcd-dns-test:go$(GO_VERSION) \
	  /bin/bash -c "cd /etcd && /certs/run.sh && rm -rf m*.etcd"

docker-dns-test-certs-gateway-run:
	$(info GO_VERSION: $(GO_VERSION))
	$(info HOST_TMP_DIR: $(HOST_TMP_DIR))
	$(info TMP_DIR_MOUNT_FLAG: $(TMP_DIR_MOUNT_FLAG))
	docker run \
	  --rm \
	  --tty \
	  --dns 127.0.0.1 \
	  $(TMP_DIR_MOUNT_FLAG) \
	  --mount type=bind,source=`pwd`/bin,destination=/etcd \
	  --mount type=bind,source=`pwd`/tests/docker-dns/certs-gateway,destination=/certs-gateway \
	  gcr.io/etcd-development/etcd-dns-test:go$(GO_VERSION) \
	  /bin/bash -c "cd /etcd && /certs-gateway/run.sh && rm -rf m*.etcd"

docker-dns-test-certs-wildcard-run:
	$(info GO_VERSION: $(GO_VERSION))
	$(info HOST_TMP_DIR: $(HOST_TMP_DIR))
	$(info TMP_DIR_MOUNT_FLAG: $(TMP_DIR_MOUNT_FLAG))
	docker run \
	  --rm \
	  --tty \
	  --dns 127.0.0.1 \
	  $(TMP_DIR_MOUNT_FLAG) \

## etcd 2.2.5%2Bdfsg

=== debian/changelog ===
etcd (2.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release [February 2016] (Closes: #814404).
  * Build-Depends:
    - golang-github-bradfitz-http2-dev
    - golang-golang-x-oauth2-dev
    - golang-google-cloud-compute-metadata-dev
    - golang-google-grpc-dev
    + golang-google-grpc-dev (>= 0.0~git20151002~)
    + golang-github-akrennmair-gopcap-dev
    + golang-pb-dev | golang-github-cheggaaa-pb-dev
    + golang-github-coreos-pkg-dev
    + golang-github-cpuguy83-go-md2man-dev
    + golang-github-kballard-go-shellquote-dev
    + golang-pty-dev
    + golang-github-russross-blackfriday-dev
    + golang-github-shurcool-sanitized-anchor-name-dev
    + golang-github-spacejam-loghisto-dev
    + golang-github-spf13-cobra-dev
    + golang-github-spf13-pflag-dev
  * Updated Vcs URLs (vcs-field-uses-insecure-uri).
  * Switch to bundled "github.com/gogo/protobuf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 12 Feb 2016 11:23:57 +1100

etcd (2.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2015].
  * etcd.service: add "Alias=etcd2.service".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Jan 2016 17:32:15 +1100

etcd (2.2.2+dfsg-2) unstable; urgency=medium

  * Added goland dependencies to -dev package Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 16 Dec 2015 09:37:23 +1100

etcd (2.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release [November 2015].
  * Build-Depends:
    + golang-github-ugorji-go-codec-dev (>= 0.0~git20151112~).
    + golang-github-beorn7-perks-dev
  * init.d: log to syslog.
    + Depends += "pipexec".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Nov 2015 09:58:16 +1100

etcd (2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2015].
    - switch to bundled "github.com/ugorji/go" due to FTBFS.
  * Un-bundled "golang-google-grpc-dev".
  * Allow Etcd to notify systemd for readiness through service "Type=notify"
    (Closes: #800646). Thanks, Matthias Urlichs.
  * Dropped obsolete lintian-overrides.
  * Corrected "duplicate-short-description".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 28 Oct 2015 08:16:14 +1100

etcd (2.2.0+dfsg-2) unstable; urgency=medium

  * Build-Depends: swap alternatives to put non-existent packages last.
  * .service: less aggressive restart (on-failure --> on-abnormal).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 13 Sep 2015 14:44:36 +1000

etcd (2.2.0+dfsg-1) unstable; urgency=medium

  [ Tianon Gravi ]
  * Update a few old-style "golang-" Build-Depends values to use "|" with
    their new proper names to help with transitioning the dependencies.
    See https://bugs.debian.org/797903#10, for example.

  [ Dmitry Smirnov ]
  * New upstream release [September 2015].
  * Added etcd(1) man page.
  * Sorted list of packages in Build-Depends.
  * Build-Depends:
    + golang-github-coreos-go-systemd-dev
    + golang-golang-x-sys-dev
    - golang-mreiferson-httpclient-dev (unused).
    + golang-google-cloud-compute-metadata-dev
  * Provides:
    - golang-github-coreos-go-etcd-dev
    + golang-github-coreos-etcd-dev
  * rules: --parallel.
  * New annotated .default file "/etc/default/etcd".
  * Re-written init scripts.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 12 Sep 2015 03:12:52 +1000

etcd (2.1.3+dfsg2-1) unstable; urgency=medium

  * New upstream release [September 2015].
  * Build-Depends:
    + golang-golang-x-net-dev
    + golang-protobuf-extensions-dev
  * Provides: "golang-github-coreos-go-etcd-dev" (policy-compliant package).
  * Copyright: more Files-Excluded.
  * Added "etcdctl.1" man page.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 08 Sep 2015 15:47:20 +1000

etcd (2.1.2+dfsg1-1) unstable; urgency=medium

  * Upload to unstable (Closes: #788762).

  [ Jelmer Vernooij ]
  * Drop dependency on golang-raft, which is no longer used.

  [ Dmitry Smirnov ]
  * New upstream Release [August 2015].
  * Re-build .pb.go files.
  * control: updated Vcs-Browser URL.
  * postinst: check if user exist.
  * systemd/init.d/default:
    + use hostname as default instance name.
    + consistently load ETCD_NAME and DATA_DIR.
  * init.d:
    + added LSB descriptions.
    + added "status" support.
    + replaced "echo" with LSB functions.
    + stop daemon with "--retry=TERM/30/KILL/5" to fix restart.
  * rules:
    + always run tests but ignore failures.
    + invoke DH --with systemd.
  * rules/override_dh_clean: remove Files-Excluded.
  * cleanup_third_party: limit find scope for a little speed-up.
  * Build-Depends:
    - golang-gogoprotobuf-dev
    + golang-gogoprotobuf-dev (>= 0.0~git20150828~)
    + libprotobuf-dev
    + protobuf-compiler
    + golang-clockwork-dev
    + golang-procfs-dev
    + golang-github-bradfitz-http2-dev
    + golang-github-boltdb-bolt-dev
    + golang-github-google-btree-dev
    + golang-github-ugorji-go-codec-dev
    + golang-glog-dev
    + golang-go-semver-dev
    + golang-prometheus-client-dev
    + golang-go.crypto-dev
    + golang-golang-x-oauth2-dev
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 02 Sep 2015 11:50:46 +1000

etcd (2.0.8-2) experimental; urgency=medium

  * Add support for setting up SSL in default config.
  * Fix service stop.
  * debian/rules: run tests on amd64.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 06 Apr 2015 21:22:41 +0000

etcd (2.0.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.6 (no changes).
  * Add patch 01_race_amd64: only specify --race to test on amd64.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 17 Feb 2015 21:36:36 +0100

etcd (2.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #741065)

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 08 Mar 2014 15:45:59 +0000

=== debian/control ===
Source: etcd
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9) ,dh-golang (>= 1.6) ,dh-systemd
    ,golang-go
    ,golang-clockwork-dev | golang-github-jonboulle-clockwork-dev
    ,golang-codegangsta-cli-dev | golang-github-codegangsta-cli-dev
    ,golang-context-dev | golang-github-gorilla-context-dev
    ,golang-coreos-log-dev | golang-github-coreos-go-log-dev
    ,golang-etcd-dev | golang-github-coreos-go-etcd-dev
    ,golang-github-akrennmair-gopcap-dev
    ,golang-github-beorn7-perks-dev
    ,golang-github-boltdb-bolt-dev
#    ,golang-github-bradfitz-http2-dev
    ,golang-pb-dev | golang-github-cheggaaa-pb-dev
    ,golang-github-coreos-go-systemd-dev
    ,golang-github-coreos-pkg-dev
#    ,golang-github-cpuguy83-go-md2man-dev
    ,golang-github-google-btree-dev
    ,golang-github-gorilla-mux-dev | golang-mux-dev
    ,golang-github-kballard-go-shellquote-dev
    ,golang-github-russross-blackfriday-dev
    ,golang-github-shurcool-sanitized-anchor-name-dev
    ,golang-github-spacejam-loghisto-dev
#    ,golang-github-spf13-cobra-dev
#    ,golang-github-spf13-pflag-dev
    ,golang-github-ugorji-go-codec-dev (>= 0.0~git20151112~)
    ,golang-glog-dev | golang-github-golang-glog-dev
    ,golang-go-semver-dev | golang-github-coreos-go-semver-dev
    ,golang-go.crypto-dev | golang-golang-x-go.crypto-dev
    ,golang-go.tools
    ,golang-gogoprotobuf-dev (>= 0.0~git20150828~) | golang-github-gogo-protobuf-dev (>= 0.0~git20150828~)
    ,golang-golang-x-net-dev
#    ,golang-golang-x-oauth2-dev
    ,golang-golang-x-sys-dev
#    ,golang-google-cloud-compute-metadata-dev
    ,golang-google-grpc-dev (>= 0.0~git20151002~)
    ,golang-goprotobuf-dev | golang-github-golang-protobuf-dev
    ,golang-metrics-dev | golang-github-rcrowley-go-metrics-dev
    ,golang-objx-dev | golang-github-stretchr-objx-dev
    ,golang-procfs-dev | golang-github-prometheus-procfs-dev
    ,golang-prometheus-client-dev | golang-github-prometheus-client-golang-dev
    ,golang-protobuf-extensions-dev | golang-github-matttproud-golang-protobuf-extensions-dev
    ,golang-github-stretchr-testify-dev
    ,golang-toml-dev | golang-github-burntsushi-toml-dev
    ,libprotobuf-dev
    ,protobuf-compiler
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/etcd.git
Vcs-Git: https://anonscm.debian.org/pkg-go/packages/etcd.git
Homepage: https://github.com/coreos/etcd

Package: etcd
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, pipexec
Built-Using: ${misc:Built-Using}
Description: highly-available key value store -- daemon
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the server binaries.

Package: golang-etcd-server-dev
Provides: golang-github-coreos-etcd-dev
Architecture: all
Depends: ${misc:Depends}
    ,golang-go
    ,golang-clockwork-dev | golang-github-jonboulle-clockwork-dev
    ,golang-codegangsta-cli-dev | golang-github-codegangsta-cli-dev
    ,golang-context-dev | golang-github-gorilla-context-dev
    ,golang-coreos-log-dev | golang-github-coreos-go-log-dev
    ,golang-etcd-dev | golang-github-coreos-go-etcd-dev
    ,golang-github-akrennmair-gopcap-dev
    ,golang-github-beorn7-perks-dev
    ,golang-github-boltdb-bolt-dev
#    ,golang-github-bradfitz-http2-dev
    ,golang-pb-dev | golang-github-cheggaaa-pb-dev
    ,golang-github-coreos-go-systemd-dev
    ,golang-github-coreos-pkg-dev
#    ,golang-github-cpuguy83-go-md2man-dev
    ,golang-github-google-btree-dev
    ,golang-github-gorilla-mux-dev | golang-mux-dev
    ,golang-github-russross-blackfriday-dev
    ,golang-github-shurcool-sanitized-anchor-name-dev
#    ,golang-github-spf13-cobra-dev
#    ,golang-github-spf13-pflag-dev
    ,golang-github-ugorji-go-codec-dev (>= 0.0~git20151112~)
    ,golang-glog-dev | golang-github-golang-glog-dev
    ,golang-go-semver-dev | golang-github-coreos-go-semver-dev
    ,golang-go.crypto-dev | golang-golang-x-go.crypto-dev
    ,golang-go.tools
    ,golang-gogoprotobuf-dev (>= 0.0~git20150828~) | golang-github-gogo-protobuf-dev (>= 0.0~git20150828~)
    ,golang-golang-x-net-dev
#    ,golang-golang-x-oauth2-dev
    ,golang-golang-x-sys-dev
#    ,golang-google-cloud-compute-metadata-dev
    ,golang-google-grpc-dev (>= 0.0~git20151002~)
    ,golang-goprotobuf-dev | golang-github-golang-protobuf-dev
    ,golang-metrics-dev | golang-github-rcrowley-go-metrics-dev
    ,golang-objx-dev | golang-github-stretchr-objx-dev
    ,golang-procfs-dev | golang-github-prometheus-procfs-dev
    ,golang-prometheus-client-dev | golang-github-prometheus-client-golang-dev
    ,golang-protobuf-extensions-dev | golang-github-matttproud-golang-protobuf-extensions-dev
    ,golang-github-stretchr-testify-dev
    ,golang-toml-dev | golang-github-burntsushi-toml-dev
Built-Using: ${misc:Built-Using}
Description: highly-available key value store -- source
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the source.

## etcd 2.2.5+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: etcd
 Section: devel
 Priority: extra
-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9) ,dh-golang (>= 1.6) ,dh-systemd

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS
export DH_GOPKG := github.com/coreos/etcd
export DH_GOLANG_EXCLUDES := github.com/coreos/etcd/Godeps etcdctlv3 tools/v3benchmark

%:
	dh $@ --buildsystem=golang --with=golang,systemd --parallel

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`

PB_GO_FILES = $(patsubst %.proto, %.pb.go, $(wildcard */*/*.proto))
$(PB_GO_FILES):
	grep -Pq "syntax\s*=\s*\"proto3\"" $(@:.pb.go=.proto) \
        || protoc -I/usr/share/gocode/src/github.com/gogo/protobuf -I/usr/include -I$(dir $@) --gogo_out=$(dir $@) $(@:.pb.go=.proto)

override_dh_auto_configure: $(PB_GO_FILES)
	dh_auto_configure
	./debian/cleanup_third_party.sh

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bin/
	rm -rf gopath/

## etcd 2.3.6+dfsg

=== debian/changelog ===
etcd (2.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release [May 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Jun 2016 00:05:45 +1000

etcd (2.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release [May 2016].
  * Fixed Vcs-Git URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 May 2016 16:19:43 +1000

etcd (2.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * Standards-Version: 3.9.8.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 07 May 2016 20:33:55 +1000

etcd (2.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * control: drop Built-Using from -dev package.
  * Build-Depends:
    = golang-github-boltdb-bolt-dev (>= 1.2.0~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Apr 2016 14:46:05 +1000

etcd (2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * Removed obsolete "rakyll2cheggaaa.patch".
  * Standards-Version: 3.9.7.
  * Fix "readlink" invocation in the init.d script.
  * rules: correction to build with gogoprotobuf 0.2.
  * Build-Depends:
    - golang-etcd-dev | golang-github-coreos-go-etcd-dev
    + golang-github-bgentry-speakeasy-dev
    + golang-github-codegangsta-cli-dev (>= 0.0~git20151221~)
    + golang-github-coreos-gexpect-dev
    + golang-github-gogo-protobuf-dev (>= 0.2~)
    + gogoprotobuf
    + golang-github-mattn-go-runewidth-dev
    + golang-github-olekukonko-tablewriter-dev
    + golang-github-xiang90-probing-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 Apr 2016 12:40:12 +1000

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,43 @@
 Source: etcd
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9) ,dh-golang (>= 1.6) ,dh-systemd
     ,golang-go
     ,golang-clockwork-dev | golang-github-jonboulle-clockwork-dev
-    ,golang-codegangsta-cli-dev | golang-github-codegangsta-cli-dev
+    ,golang-github-codegangsta-cli-dev (>= 0.0~git20151221~)
     ,golang-context-dev | golang-github-gorilla-context-dev
     ,golang-coreos-log-dev | golang-github-coreos-go-log-dev
-    ,golang-etcd-dev | golang-github-coreos-go-etcd-dev
     ,golang-github-akrennmair-gopcap-dev
     ,golang-github-beorn7-perks-dev
-    ,golang-github-boltdb-bolt-dev
+    ,golang-github-bgentry-speakeasy-dev
+    ,golang-github-boltdb-bolt-dev (>= 1.2.0~)
 #    ,golang-github-bradfitz-http2-dev
-    ,golang-pb-dev | golang-github-cheggaaa-pb-dev
+    ,golang-github-cheggaaa-pb-dev
+    ,golang-github-coreos-gexpect-dev
     ,golang-github-coreos-go-systemd-dev
     ,golang-github-coreos-pkg-dev
 #    ,golang-github-cpuguy83-go-md2man-dev
     ,golang-github-google-btree-dev
     ,golang-github-gorilla-mux-dev | golang-mux-dev
     ,golang-github-kballard-go-shellquote-dev
+    ,golang-github-mattn-go-runewidth-dev
+    ,golang-github-olekukonko-tablewriter-dev
     ,golang-github-russross-blackfriday-dev
     ,golang-github-shurcool-sanitized-anchor-name-dev
     ,golang-github-spacejam-loghisto-dev
 #    ,golang-github-spf13-cobra-dev
 #    ,golang-github-spf13-pflag-dev
     ,golang-github-ugorji-go-codec-dev (>= 0.0~git20151112~)
+    ,golang-github-xiang90-probing-dev
     ,golang-glog-dev | golang-github-golang-glog-dev
     ,golang-go-semver-dev | golang-github-coreos-go-semver-dev
     ,golang-go.crypto-dev | golang-golang-x-go.crypto-dev
     ,golang-go.tools
-    ,golang-gogoprotobuf-dev (>= 0.0~git20150828~) | golang-github-gogo-protobuf-dev (>= 0.0~git20150828~)
+    ,golang-github-gogo-protobuf-dev (>= 0.2~)
+        ,gogoprotobuf
     ,golang-golang-x-net-dev
 #    ,golang-golang-x-oauth2-dev
     ,golang-golang-x-sys-dev
@@ -49,9 +53,9 @@
     ,golang-toml-dev | golang-github-burntsushi-toml-dev
     ,libprotobuf-dev
     ,protobuf-compiler
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/etcd.git
-Vcs-Git: https://anonscm.debian.org/pkg-go/packages/etcd.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/etcd.git
 Homepage: https://github.com/coreos/etcd
 
 Package: etcd
@@ -78,30 +82,35 @@
 Depends: ${misc:Depends}
     ,golang-go
     ,golang-clockwork-dev | golang-github-jonboulle-clockwork-dev
-    ,golang-codegangsta-cli-dev | golang-github-codegangsta-cli-dev
+    ,golang-github-codegangsta-cli-dev (>= 0.0~git20151221~)
     ,golang-context-dev | golang-github-gorilla-context-dev
     ,golang-coreos-log-dev | golang-github-coreos-go-log-dev
-    ,golang-etcd-dev | golang-github-coreos-go-etcd-dev
     ,golang-github-akrennmair-gopcap-dev
     ,golang-github-beorn7-perks-dev
-    ,golang-github-boltdb-bolt-dev
+    ,golang-github-bgentry-speakeasy-dev
+    ,golang-github-boltdb-bolt-dev (>= 1.2.0~)
 #    ,golang-github-bradfitz-http2-dev
-    ,golang-pb-dev | golang-github-cheggaaa-pb-dev
+    ,golang-github-cheggaaa-pb-dev
+    ,golang-github-coreos-gexpect-dev
     ,golang-github-coreos-go-systemd-dev
     ,golang-github-coreos-pkg-dev
 #    ,golang-github-cpuguy83-go-md2man-dev
     ,golang-github-google-btree-dev
     ,golang-github-gorilla-mux-dev | golang-mux-dev
+    ,golang-github-kballard-go-shellquote-dev
+    ,golang-github-mattn-go-runewidth-dev
+    ,golang-github-olekukonko-tablewriter-dev
     ,golang-github-russross-blackfriday-dev
     ,golang-github-shurcool-sanitized-anchor-name-dev
 #    ,golang-github-spf13-cobra-dev
 #    ,golang-github-spf13-pflag-dev
     ,golang-github-ugorji-go-codec-dev (>= 0.0~git20151112~)
+    ,golang-github-xiang90-probing-dev
     ,golang-glog-dev | golang-github-golang-glog-dev
     ,golang-go-semver-dev | golang-github-coreos-go-semver-dev
     ,golang-go.crypto-dev | golang-golang-x-go.crypto-dev
     ,golang-go.tools
-    ,golang-gogoprotobuf-dev (>= 0.0~git20150828~) | golang-github-gogo-protobuf-dev (>= 0.0~git20150828~)
+    ,golang-github-gogo-protobuf-dev (>= 0.2~)
     ,golang-golang-x-net-dev
 #    ,golang-golang-x-oauth2-dev
     ,golang-golang-x-sys-dev
@@ -115,7 +124,6 @@
     ,golang-protobuf-extensions-dev | golang-github-matttproud-golang-protobuf-extensions-dev
     ,golang-github-stretchr-testify-dev
     ,golang-toml-dev | golang-github-burntsushi-toml-dev
-Built-Using: ${misc:Built-Using}
 Description: highly-available key value store -- source
  A highly-available key value store for shared configuration and service
  discovery. etcd is inspired by zookeeper and doozer, with a focus on:

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export DH_OPTIONS
 export DH_GOPKG := github.com/coreos/etcd
-export DH_GOLANG_EXCLUDES := github.com/coreos/etcd/Godeps etcdctlv3 tools/v3benchmark
+export DH_GOLANG_EXCLUDES := github.com/coreos/etcd/Godeps etcdctlv3 tools/v3benchmark tools/benchmark clientv3 contrib integration tools
 
 %:
 	dh $@ --buildsystem=golang --with=golang,systemd --parallel
@@ -19,6 +19,7 @@
 $(PB_GO_FILES):
 	grep -Pq "syntax\s*=\s*\"proto3\"" $(@:.pb.go=.proto) \
         || protoc -I/usr/share/gocode/src/github.com/gogo/protobuf -I/usr/include -I$(dir $@) --gogo_out=$(dir $@) $(@:.pb.go=.proto)
+	perl -pi -E 's{import _ "gogoproto"}{}g;' "$@"
 
 override_dh_auto_configure: $(PB_GO_FILES)
 	dh_auto_configure

## etcd 2.3.7+dfsg

=== debian/changelog ===
etcd (2.3.7+dfsg-5) unstable; urgency=medium

  [ Team upload ]
  * Regenerate pb.go files with gogo-protobuf v0.3 (Closes: #835750)
  * Patch to fix SdNotify() API change in coreos-go-systemd package.

 -- Tim Potter <tpot@hpe.com>  Wed, 05 Oct 2016 17:18:46 +1100

etcd (2.3.7+dfsg-4) unstable; urgency=medium

  * New patch to disable TestTransportErrorc (Closes: #831789).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 20 Jul 2016 09:51:34 +1000

etcd (2.3.7+dfsg-3) unstable; urgency=medium

  * New patch to disable "TestLessorRevoke" test.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Jul 2016 23:25:09 +1000

etcd (2.3.7+dfsg-2) unstable; urgency=medium

  * Tests: disabled "TestWaitTime" test due to failure on [ppc64el].
  * Renamed "cheggaaa-pb-dev" to "cheggaaa-pb.v1-dev" (Closes: #829048).
    Also commented currently unused package. Thanks, Peter Colberg.
  * (Build-)Depends: removed obsolete -clockwork-dev alternative
    (Closes: #830388).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Jul 2016 08:52:59 +1000

etcd (2.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2016].
  * Build-Depends += "curl".
  * Disabled failing tests; don't ignore test failures any more.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 27 Jun 2016 14:19:51 +1000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
-           Dmitry Smirnov <onlyjob@debian.org>
+           Dmitry Smirnov <onlyjob@debian.org>,
+           Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9) ,dh-golang (>= 1.6) ,dh-systemd
     ,golang-go
-    ,golang-clockwork-dev | golang-github-jonboulle-clockwork-dev
+    ,golang-github-jonboulle-clockwork-dev
     ,golang-github-codegangsta-cli-dev (>= 0.0~git20151221~)
     ,golang-context-dev | golang-github-gorilla-context-dev
     ,golang-coreos-log-dev | golang-github-coreos-go-log-dev
@@ -15,7 +16,7 @@
     ,golang-github-bgentry-speakeasy-dev
     ,golang-github-boltdb-bolt-dev (>= 1.2.0~)
 #    ,golang-github-bradfitz-http2-dev
-    ,golang-github-cheggaaa-pb-dev
+#    ,golang-gopkg-cheggaaa-pb.v1-dev
     ,golang-github-coreos-gexpect-dev
     ,golang-github-coreos-go-systemd-dev
     ,golang-github-coreos-pkg-dev
@@ -53,6 +54,8 @@
     ,golang-toml-dev | golang-github-burntsushi-toml-dev
     ,libprotobuf-dev
     ,protobuf-compiler
+# Tests:
+    ,curl
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/etcd.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/etcd.git
@@ -81,7 +84,7 @@
 Architecture: all
 Depends: ${misc:Depends}
     ,golang-go
-    ,golang-clockwork-dev | golang-github-jonboulle-clockwork-dev
+    ,golang-github-jonboulle-clockwork-dev
     ,golang-github-codegangsta-cli-dev (>= 0.0~git20151221~)
     ,golang-context-dev | golang-github-gorilla-context-dev
     ,golang-coreos-log-dev | golang-github-coreos-go-log-dev
@@ -90,7 +93,7 @@
     ,golang-github-bgentry-speakeasy-dev
     ,golang-github-boltdb-bolt-dev (>= 1.2.0~)
 #    ,golang-github-bradfitz-http2-dev
-    ,golang-github-cheggaaa-pb-dev
+#    ,golang-gopkg-cheggaaa-pb.v1-dev
     ,golang-github-coreos-gexpect-dev
     ,golang-github-coreos-go-systemd-dev
     ,golang-github-coreos-pkg-dev

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,10 @@
 
 export DH_OPTIONS
 export DH_GOPKG := github.com/coreos/etcd
-export DH_GOLANG_EXCLUDES := github.com/coreos/etcd/Godeps etcdctlv3 tools/v3benchmark tools/benchmark clientv3 contrib integration tools
+export DH_GOLANG_EXCLUDES := github.com/coreos/etcd/Godeps etcdctlv3 tools/v3benchmark tools/benchmark clientv3 contrib integration tools e2e raft/rafttest
 
 %:
-	dh $@ --buildsystem=golang --with=golang,systemd --parallel
+	dh $@ --buildsystem=golang --with=golang,systemd --parallel --builddirectory=_build
 
 override_dh_clean:
 	dh_clean
@@ -23,10 +23,13 @@
 
 override_dh_auto_configure: $(PB_GO_FILES)
 	dh_auto_configure
-	./debian/cleanup_third_party.sh
+	for I in $$(cat debian/third_party_exclude); do \
+            printf "Removing third party bundled $$I\n" ;\
+            sed -i "s,github.com/coreos/etcd/Godeps/_workspace/src/$I,$I," $$(find _build -type f -name "*.go") ;\
+        done
 
 override_dh_auto_test:
-	-dh_auto_test
+	GOMAXPROCS=2 PATH="$(CURDIR)/_build/bin:$$PATH" dh_auto_test
 
 override_dh_auto_clean:
 	dh_auto_clean

## etcd 3.1.0

=== debian/changelog ===
etcd (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Change to use upstream source generated by dh-make-golang, and 
    remove antiquated package build system.
  * Update debian/copyright file for new major release.
  * Build-Depends:
      + golang-github-karlseguin-ccache-dev
      + golang-github-cockroachdb-cmux-dev
      + golang-github-urfave-cli-dev
      + golang-github-grpc-ecosystem-grpc-gateway-dev
      + golang-github-grpc-ecosystem-go-grpc-prometheus-dev
  * Add lsb-base as install dependency for binary package.
  * Remove bogus Build-Depends from -dev binary package.

 -- Tim Potter <tpot@hpe.com>  Thu, 09 Feb 2017 13:48:12 +1100

=== debian/control ===
Source: etcd
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-bgentry-speakeasy-dev,
               golang-github-boltdb-bolt-dev,
               golang-github-cockroachdb-cmux-dev,
               golang-go-semver-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-coreos-pkg-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-ghodss-yaml-dev,
               golang-github-gogo-protobuf-dev,
               golang-goprotobuf-dev,
               golang-github-google-btree-dev,
               golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
               golang-github-grpc-ecosystem-grpc-gateway-dev,
               golang-github-jonboulle-clockwork-dev,
               golang-github-karlseguin-ccache-dev,
               golang-github-kr-pty-dev,
               golang-github-olekukonko-tablewriter-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-ugorji-go-codec-dev,
               golang-github-urfave-cli-dev,
               golang-github-xiang90-probing-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-time-dev,
               golang-google-grpc-dev,
               golang-gopkg-cheggaaa-pb.v1-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/etcd.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/etcd.git
Homepage: https://github.com/coreos/etcd

Package: etcd
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, pipexec, lsb-base
Built-Using: ${misc:Built-Using}
Description: highly-available key value store -- daemon
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the server binaries.

Package: golang-etcd-server-dev
Provides: golang-github-coreos-etcd-dev
Architecture: all
Depends: ${misc:Depends},
         dh-golang,
         golang-any,
         golang-github-bgentry-speakeasy-dev,
         golang-github-boltdb-bolt-dev,
         golang-github-cockroachdb-cmux-dev,
         golang-go-semver-dev,
         golang-github-coreos-go-systemd-dev,
         golang-github-coreos-pkg-dev,
         golang-github-dustin-go-humanize-dev,
         golang-github-ghodss-yaml-dev,
         golang-github-gogo-protobuf-dev,
         golang-goprotobuf-dev,
         golang-github-google-btree-dev,
         golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
         golang-github-grpc-ecosystem-grpc-gateway-dev,
         golang-github-jonboulle-clockwork-dev,
         golang-github-karlseguin-ccache-dev,
         golang-github-kr-pty-dev,
         golang-github-olekukonko-tablewriter-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-github-ugorji-go-codec-dev,
         golang-github-urfave-cli-dev,
         golang-github-xiang90-probing-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-time-dev,
         golang-google-grpc-dev,
         golang-gopkg-cheggaaa-pb.v1-dev
Description: highly-available key value store -- source
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the source.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/coreos/etcd

%:
	dh $@ --buildsystem=golang --with=golang,systemd --parallel

override_dh_auto_test:
	-dh_auto_test

## etcd 3.1.8+dfsg

=== debian/changelog ===
etcd (3.1.8+dfsg-2) unstable; urgency=medium

  * Fix upgrade problem caused by client/server package split. Thanks 
    to Olafur St. Arnarsson for the patch. (Closes #863976)

 -- Tim Potter <tpot@hpe.com>  Mon, 05 Jun 2017 09:03:52 +1000

etcd (3.1.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Tighten B-D on golang-github-coreos-pkg-dev to build in stretch.
    (Closes: #858241)
  * Change section from "devel" to "net. (Closes: #840681)
  * Separate into client and server packages. (Closes: #815453)

 -- Tim Potter <tpot@hpe.com>  Wed, 24 May 2017 10:59:25 +1000

etcd (3.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Tim Potter <tpot@hpe.com>  Fri, 24 Mar 2017 11:52:26 +1100

etcd (3.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Suppress binary-without-manpage Lintian warnings.

 -- Tim Potter <tpot@hpe.com>  Tue, 21 Mar 2017 09:43:07 +1100

etcd (3.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Tim Potter <tpot@hpe.com>  Wed, 08 Mar 2017 15:06:16 +1100

etcd (3.1.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #846542)
  * Fix test suite failures in Debian build environment and
    ensure no test junk is accidentally mispackaged. (Closes: #855876)
  * Fix various Lintian problems.

 -- Tim Potter <tpot@hpe.com>  Fri, 03 Mar 2017 07:11:16 +1100

etcd (3.1.1+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Tim Potter <tpot@hpe.com>  Mon, 20 Feb 2017 15:27:52 +1100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: etcd
-Section: devel
+Section: net
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
@@ -8,12 +8,13 @@
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
+	       curl,
                golang-github-bgentry-speakeasy-dev,
                golang-github-boltdb-bolt-dev,
                golang-github-cockroachdb-cmux-dev,
                golang-go-semver-dev,
                golang-github-coreos-go-systemd-dev,
-               golang-github-coreos-pkg-dev,
+               golang-github-coreos-pkg-dev (>= 3~),
                golang-github-dustin-go-humanize-dev,
                golang-github-ghodss-yaml-dev,
                golang-github-gogo-protobuf-dev,
@@ -43,9 +44,22 @@
 Homepage: https://github.com/coreos/etcd
 
 Package: etcd
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends}, etcd-server, etcd-client
+Built-Using: ${misc:Built-Using}
+Description: Transitional package for etcd-client and etcd-server
+ This is a transitional package to ease upgrades for splitting the
+ etcd package into a separate client and server piece. It can be
+ safely removed.
+
+Package: etcd-server
 Architecture: any
 Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, pipexec, lsb-base
+Suggests: etcd-client
 Built-Using: ${misc:Built-Using}
+Replaces: etcd (<< 3.1.8+dfsg-1)
+Breaks: etcd (<< 3.1.8+dfsg-1)
 Description: highly-available key value store -- daemon
  A highly-available key value store for shared configuration and service
  discovery. etcd is inspired by zookeeper and doozer, with a focus on:
@@ -59,6 +73,26 @@
  log.
  .
  This package contains the server binaries.
+
+Package: etcd-client
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
+Replaces: etcd (<< 3.1.8+dfsg-1)
+Breaks: etcd (<< 3.1.8+dfsg-1)
+Description: highly-available key value store -- client
+ A highly-available key value store for shared configuration and service
+ discovery. etcd is inspired by zookeeper and doozer, with a focus on:
+ .
+  * Simple: curl'able user facing API (HTTP+JSON)
+  * Secure: optional SSL client cert authentication
+  * Fast: benchmarked 1000s of writes/s per instance
+  * Reliable: Properly distributed using Raft
+ .
+ Etcd uses the Raft consensus algorithm to manage a highly-available replicated
+ log.
+ .
+ This package contains the client binaries.
 
 Package: golang-etcd-server-dev
 Provides: golang-github-coreos-etcd-dev

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/coreos/etcd

%:
	dh $@ --buildsystem=golang --with=golang,systemd --parallel --builddirectory=_build

override_dh_auto_test:
	dh_auto_test -- -run=Test

# Handle package name (etcd-server) != service name (etcd)
override_dh_installinit:
	dh_installinit -p etcd-server --name=etcd
